This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 90744 - hp laserjet 4L prints at wrong scale
hp laserjet 4L prints at wrong scale
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-13 04:52 EDT by Alexander Larsson
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-13 05:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2003-05-13 04:52:59 EDT
I have a laserjet 4L SMB printer (on a windows machine) that worked well in RH8,
but in RH9 it only prints the top left quarter of each page, scaled to fit the
whole page. 

I tried to remove the queue and re-add it. But that made no difference.

I use the ljet4 driver. Resolution is listed as 300 DPI in r-c-p, but changing
it to 150 DPI doesn't help.
Comment 1 Tim Waugh 2003-05-13 05:01:59 EDT
Does this happen with the test page, or only when printing from other applications?

Assuming you are using CUPS, please enable debugging by editing
/usr/lib/cups/filter/cupsomatic and setting the debug variable to '1'.

Alternatively, for LPRng, edit /usr/sbin/lpdomatic and make the same change.

After printing you should get some debugging information in /tmp.
Comment 2 Alexander Larsson 2003-05-13 05:14:30 EDT
I switched from LPng to CUPS, and now it works fine.

Note You need to log in before you can comment on or make changes to this bug.